package com.qmth.jkserver.enums;

/**
 * 机考类型
 * @author tianjun
 *
 */
public enum ExamType {

    NORMAL("通用机考", 0), SOLFEGE("视唱机考", 1),UTEST("优特机考",2);

    private String name;

    private int id;

    private ExamType(String name, int id) {
        this.name = name;
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public int getId() {
        return id;
    }

    public static ExamType findById(int id) {
        for (ExamType status : ExamType.values()) {
            if (status.id == id) {
                return status;
            }
        }
        return null;
    }

}
